Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.group.model
Interface VGroupPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VGroupPackageImpl

    public interface VGroupPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VGroupFactory`

Nested Class Summary
`static interface` | `VGroupPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VGroupPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `GROUP` The meta object id for the '`Group`' class.
`static int` | `GROUP__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `GROUP__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `GROUP__COLLAPSED` The feature id for the 'Collapsed' attribute.
`static int` | `GROUP__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `GROUP__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `GROUP__GROUP_TYPE` The feature id for the 'Group Type' attribute.
`static int` | `GROUP__LABEL_ALIGNMENT` The feature id for the 'Label Alignment' attribute.
`static int` | `GROUP__NAME` The feature id for the 'Name' attribute.
`static int` | `GROUP__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `GROUP__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `GROUP_FEATURE_COUNT` The number of structural features of the 'Group' class.
`static int` | `GROUP_LABEL_ALIGNMENT` The meta object id for the '`Label Alignment`' enum.
`static int` | `GROUP_TYPE` The meta object id for the '`Type`' enum.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getGroup_Collapsed()` Returns the meta object for the attribute '`Collapsed`'.
`org.eclipse.emf.ecore.EAttribute` | `getGroup_GroupType()` Returns the meta object for the attribute '`Group Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getGroup_LabelAlignment()` Returns the meta object for the attribute ' `Label Alignment`'.
`org.eclipse.emf.ecore.EClass` | `getGroup()` Returns the meta object for class '`Group`'.
`VGroupFactory` | `getGroupFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EEnum` | `getGroupLabelAlignment()` Returns the meta object for enum '`Label Alignment`'.
`org.eclipse.emf.ecore.EEnum` | `getGroupType()` Returns the meta object for enum '`Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VGroupPackage eINSTANCE

  The singleton instance of the package.

### GROUP

    static final int GROUP

  The meta object id for the '`Group`' class.

  See Also:
    `VGroupImpl`, `VGroupPackageImpl.getGroup()`, Constant Field Values

### GROUP__NAME

    static final int GROUP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### GROUP__VISIBLE

    static final int GROUP__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### GROUP__ENABLED

    static final int GROUP__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### GROUP__READONLY

    static final int GROUP__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### GROUP__DIAGNOSTIC

    static final int GROUP__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### GROUP__ATTACHMENTS

    static final int GROUP__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### GROUP__CHILDREN

    static final int GROUP__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### GROUP__GROUP_TYPE

    static final int GROUP__GROUP_TYPE

  The feature id for the 'Group Type' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### GROUP__LABEL_ALIGNMENT

    static final int GROUP__LABEL_ALIGNMENT

  The feature id for the 'Label Alignment' attribute.

  Since:
    1.3
  See Also:
    Constant Field Values

### GROUP__COLLAPSED

    static final int GROUP__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  Since:
    1.4
  See Also:
    Constant Field Values

### GROUP_FEATURE_COUNT

    static final int GROUP_FEATURE_COUNT

  The number of structural features of the 'Group' class.

  See Also:
    Constant Field Values

### GROUP_TYPE

    static final int GROUP_TYPE

  The meta object id for the '`Type`' enum.

  Since:
    1.4
  See Also:
    `GroupType`, `VGroupPackageImpl.getGroupType()`, Constant Field Values

### GROUP_LABEL_ALIGNMENT

    static final int GROUP_LABEL_ALIGNMENT

  The meta object id for the '`Label Alignment`' enum.

  Since:
    1.3
  See Also:
    `GroupLabelAlignment`, `VGroupPackageImpl.getGroupLabelAlignment()`, Constant Field Values

Method Detail

### getGroup

    org.eclipse.emf.ecore.EClass getGroup()

  Returns the meta object for class '`Group`'.

  Returns:
    the meta object for class 'Group'.
  See Also:
    `VGroup`

### getGroup_GroupType

    org.eclipse.emf.ecore.EAttribute getGroup_GroupType()

  Returns the meta object for the attribute '`Group Type`'.

  Returns:
    the meta object for the attribute 'Group Type'.
  Since:
    1.4
  See Also:
    `VGroup.getGroupType()`, `getGroup()`

### getGroup_LabelAlignment

    org.eclipse.emf.ecore.EAttribute getGroup_LabelAlignment()

  Returns the meta object for the attribute ' `Label Alignment`'.

  Returns:
    the meta object for the attribute 'Label Alignment'.
  Since:
    1.3
  See Also:
    `VGroup.getLabelAlignment()`, `getGroup()`

### getGroup_Collapsed

    org.eclipse.emf.ecore.EAttribute getGroup_Collapsed()

  Returns the meta object for the attribute '`Collapsed`'.

  Returns:
    the meta object for the attribute 'Collapsed'.
  Since:
    1.4
  See Also:
    `VGroup.isCollapsed()`, `getGroup()`

### getGroupType

    org.eclipse.emf.ecore.EEnum getGroupType()

  Returns the meta object for enum '`Type`'.

  Returns:
    the meta object for enum 'Type'.
  Since:
    1.4
  See Also:
    `GroupType`

### getGroupLabelAlignment

    org.eclipse.emf.ecore.EEnum getGroupLabelAlignment()

  Returns the meta object for enum '`Label Alignment`'.

  Returns:
    the meta object for enum 'Label Alignment'.
  Since:
    1.3
  See Also:
    `GroupLabelAlignment`

### getGroupFactory

    VGroupFactory getGroupFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.